Subject: Re: bug#19180: vacuum_weak_hash_table error

From: [email-masked] (Ludovic Courtès)
Date: Fri, 28 Nov 2014 17:56:33 +0100

Anand Mohanadoss <[email-masked]> skribis:

> We have observed the following error a few times with guile 2.0.11 (32-bit)
> on x86_64 Linux while processing large binary files (1.5GB+) and comparing
> messages contained therein.
>
> fish: hashtab.c:137: vacuum_weak_hash_table: Assertion `removed <= len'
> failed.

[...]

> Given that we can consistently reproduce this problem on a particular
> system, is there something you would like us to try to find the underlying
> cause of this problem?

Could you try to come up with a reduced test case to reproduce the
problem?  That would help find out what’s going on.  Let us know if you
need help to do that.

Thanks for the report!

Ludo’.